Subject: Re: routing area design team on dataplane encapsulation considerations

From: Alia Atlas <[email-masked]>
Date: Fri, 13 Mar 2015 16:16:25 -0400

This design team has delivered a internet-draft, draft-rtg-dt-encap-01.
This draft will be discussed in RTGWG at IETF 92.  I would encourage you to
all
read it and send comments to rtgwg.  I'm certain that the draft will be
refined
and improved.

I'd like to thank the design team for their excellent work in a short
time-frame.
I hope that this draft encourages useful discussion and thought as we move
forward
on various encapsulations.

Regards,
Alia

On Tue, Dec 9, 2014 at 5:46 PM, Alia Atlas <[email-masked]> wrote:

> I have chartered a Routing Area Design Team to work on data-plane
> encapsulation considerations.
>
> I've bcc'd nvo3, sfc, bier, and rtgwg as the most directly relevant.
> Please keep any conversation in one place on routing-discussion.
>
> Erik Nordmark has kindly agreed to lead this design team.  The members of
> the design
> team are:
>
>   Albert Tian <[email-masked]>
>   Erik Nordmark <[email-masked]>
>   Jesse Gross <[email-masked]>
>   Jon Hudson <[email-masked]>
>   Larry Kreeger (kreeger) <[email-masked]>
>   Pankaj Garg <[email-masked]>
>   Pat Thaler <[email-masked]>
>   Tom Herbert <[email-masked]>
>
> The mailing list, [email-masked], is closed but the
> archives are
> publicly available at:
>
> http://www.ietf.org/mail-archive/web/rtg-dt-encap-considerations/current/maillist.html
>
> The Design Team is chartered as follows:
>
> There have been multiple efforts over the years that have resulted in new
> or modified data plane behaviors involving encapsulations. That includes
> IETF efforts like MPLS, LISP, and TRILL but also industry efforts like
> Vxlan and NVGRE.  These collectively can be seen as a source of insight
> into the properties that data planes need to meet.  The IETF is currently
> working on potentially new encapsulations in NVO3 and SFC and considering
> working on BIER. In addition there is work on tunneling in the INT area.
>
> This is a short term design team chartered to collect and construct useful
> advice to parties working on new or modified data plane behaviors that
> include additional encapsulations.  The goal is for the group to document
> useful advice gathered from interacting with ongoing efforts.  An Internet
> Draft will be produced for IETF92 to capture that advice, which will be
> discussed in RTGWG.
>
> Data plane encapsulations face a set of common issues such as:
>
>   * How to provide entropy for ECMP
>   * Issues around packet size and fragmentation/reassembly
>   * OAM - what support is needed in an encapsulation format?
>   * Security and privacy.
>   * QoS
>   * Congestion Considerations
>   * IPv6 header protection (non-zero UDP checksum over IPv6 issue)
>   * Extensibility - e.g., for evolving OAM, security, and/or congestion
> control
>   * Layering of multiple encapsulations e.g., SFC over NVO3 over BIER
>
> The design team will provide advice on those issues. The intention is that
> even where we have different encapsulations for different purposes carrying
> different data, each such encapsulation doesn’t have to reinvent the wheel
> for the above common issues.
>
> The design team will look across the routing area in particular at SFC,
> NVO3 and BIER. It will not be involved in comparing or analyzing any
> particular encapsulation formats proposed in those WGs and BoFs but instead
> focus on common advice.
>
> Regards,
> Alia
>